*
* $Id$
*
* $Log$
*
*CMZ :  2.03/00 06/11/2000  01.31.21  by  Francesco Cafagna
*CMZ :  2.01/00 05/04/2000  14.35.18  by  Marialuigia Ambriola
*CMZ :  2.00/00 03/03/2000  15.39.05  by  Francesco Cafagna
*CMZ :  1.02/00 20/03/97  16.04.05  by  Francesco Cafagna
*CMZ :  1.00/02 02/03/96  12.36.09  by  Francesco Cafagna
*-- Author :    Francesco Cafagna   23/02/96
      SUBROUTINE GUDIGI
************************************************************************
*                                                                      *
* To perform user detectors digitization                               *
*                                                                      *
* Called by: GTRIG                                                     *
* Author: Francesco Cafagna, 23/02/96 12.50.38                         *
*                                                                      *
************************************************************************
#include "gpkey.inc"
*
* Call TOF DIGI routine
*
      IF(PTOF) THEN
         CALL GPDTOF
      ENDIF
*
* Call TRD DIGI routine
*
      IF(PTRD) CALL GPDTRD
*
* Call CAT DIGI routine
*
      IF(PCAT) CALL GPDCAT
*
* Call CAS DIGI routine
*
      IF(PCAS) CALL GPDCAS
*
* Call SPE DIGI routine
*
      IF(PSPE) CALL GPDSPE
*
* Call CAL DIGI routine
*
      IF(PCAL) CALL GPDCAL
*
      RETURN
      END
